﻿@{
    Layout = null;
    var config = (BenhVien.MODEL.AppConfig)ViewBag.Config;
}
@using BASICAUTHORIZE.AGRICH
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Đăng nhập hệ thống</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--===============================================================================================-->
    <script src="~/Libs/Login_v3/vendor/jquery/jquery-3.2.1.min.js"></script>
    <!--===============================================================================================-->
    <link rel="icon" type="image/png" href="~/Libs/Login_v3/images/icons/favicon.ico" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/vendor/bootstrap/css/bootstrap.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/fonts/font-awesome-4.7.0/css/font-awesome.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/fonts/iconic/css/material-design-iconic-font.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/vendor/animate/animate.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/vendor/css-hamburgers/hamburgers.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/vendor/animsition/css/animsition.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/vendor/select2/select2.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/vendor/daterangepicker/daterangepicker.css">
    <!--===============================================================================================-->
    <link href="~/Libs/alertify/alertify.core.css" rel="stylesheet" />
    <link href="~/Libs/alertify/alertify.default.css" rel="stylesheet" />
    <link href="~/Libs/formvalidation/css/formValidation.min.css" rel="stylesheet" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/css/util.css">
    <link rel="stylesheet" type="text/css" href="~/Libs/Login_v3/css/main.css">
    <!--===============================================================================================-->
</head>
<body>
    <div class="limiter">
        <div class="container-login100" style="background-image: url('@(string.IsNullOrEmpty(config.ImageLogin)?"/Libs/Login_v3/images/bg-01.jpg":config.ImageLogin.Replace("~",""))');">

            <div class="wrap-login100" style="background: '@(string.IsNullOrEmpty(config.ImagePanelLogin)?"-webkit-linear-gradient(top, #dee0f5, #0683ef)":"url('"+config.ImagePanelLogin.Replace("~","")+"')")'">
                <form class="login100-form validate-form" id="frm-dangnhap">
                    <span class="login100-form-logo" style="background: url('/Files/images/system/Euronutrition-logo-1.png') center no-repeat;background-size: 100%;">
                    </span>
                    <span class="login100-form-title p-b-34 p-t-27">
                        ĐĂNG NHẬP
                    </span>
                    <div class="wrap-input100 validate-input form-group" data-validate="Nhập tài khoản">
                        <input class="input100" type="text" name="u" placeholder="Tài khoản" autocomplete="off">
                        <span class="focus-input100" data-placeholder="&#xf207;"></span>
                    </div>
                    <div class="wrap-input100 validate-input form-group" data-validate="Nhập mật khẩu">
                        <input class="input100" type="password" name="p" placeholder="Mật khẩu" autocomplete="off">
                        <span class="focus-input100" data-placeholder="&#xf191;"></span>
                    </div>
                    <div class="container-login100-form-btn">
                        <button type="submit" id="btn-dangnhap" class="login100-form-btn" style="background: -webkit-linear-gradient(bottom, #dee0f5, #0683ef)">
                            Đăng nhập
                        </button>
                    </div>
                    <div class="text-center p-t-90">
                        <a class="txt1" href="#">
                            Quên mật khẩu?
                        </a>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div id="dropDownSelect1"></div>
    <!--===============================================================================================-->
    <script src="~/Libs/Login_v3/vendor/animsition/js/animsition.min.js"></script>
    <!--===============================================================================================-->
    <script src="~/Libs/Login_v3/vendor/bootstrap/js/popper.js"></script>
    <script src="~/Libs/Login_v3/vendor/bootstrap/js/bootstrap.min.js"></script>
    <!--===============================================================================================-->
    <script src="~/Libs/Login_v3/vendor/select2/select2.min.js"></script>
    <!--===============================================================================================-->
    <script src="~/Libs/Login_v3/vendor/daterangepicker/moment.min.js"></script>
    <script src="~/Libs/Login_v3/vendor/daterangepicker/daterangepicker.js"></script>
    <!--===============================================================================================-->
    <script src="~/Libs/Login_v3/vendor/countdowntime/countdowntime.js"></script>
    <!--===============================================================================================-->
    <script src="~/Libs/Login_v3/js/main.js"></script>
    <!--===============================================================================================-->
    <script src="~/Libs/alertify/alertify.min.js"></script>
    <script src="~/Libs/formvalidation/js/formValidation.min.js"></script>
    <script src="~/Libs/formvalidation/js/framework/bootstrap.min.js"></script>
    <script>
    $(document).ready(function () {
        $('#frm-dangnhap').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                u: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                p: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
            }
        }).on('success.form.fv', function (e) {
            document.getElementById("btn-dangnhap").disabled = true;
            e.preventDefault();
            $.ajax({
                url: '@Url.Action("Login", "Home", new { area = "" })',
                type: 'POST',
                dataType: 'json',
                mimeType: "multipart/form-data",
                contentType: false,
                processData: false,
                async: false,
                cache: false,
                data: new FormData(document.getElementById('frm-dangnhap')),
                success: function (data) {
                    if (data.kq == "ok") {
                        alertify.success(data.msg);
                        window.location.href = '@Url.Action("DangKy", "KhamBenh", new { area= "QuanTri" })';
                    }
                    else {
                        alertify.error(data.msg);
                        document.getElementById("btn-dangnhap").disabled = false;
                        $("#btn-dangnhap").removeClass("disabled");
                    }
                }
            });
        });
    });
    </script>
</body>
</html>